FROM gitlab.com:443/lavcorps-line/dependency_proxy/containers/alpine:edge AS base
LABEL maintainer="Samantha Divina <lavcorps@protonmail.com>"
RUN touch /etc/apk/repositories &&\
    truncate -s 0 /etc/apk/repositories &&\
    echo "http://dl-cdn.alpinelinux.org/alpine/edge/main" | tee /etc/apk/repositories &&\
    echo "http://dl-cdn.alpinelinux.org/alpine/edge/community" | tee -a /etc/apk/repositories &&\
    echo "http://dl-cdn.alpinelinux.org/alpine/edge/testing" | tee -a /etc/apk/repositories &&\
    apk update &&\
    apk upgrade &&\
    apk cache purge
RUN apk add doas doas-sudo-shim &&\
    echo "permit nopass root" >> /etc/doas.d/root.conf &&\
    echo "permit nopass user as root cmd /sbin/apk" >> /etc/doas.d/user-apk.conf &&\
    echo "permit nopass user as root cmd apk" >> /etc/doas.d/user-apk.conf &&\
    apk cache purge
RUN adduser -D -u 1000 user &&\
    mkdir -p /run/user/1000 &&\
    chown -R user /run/user/1000 /home/user
RUN apk add git &&\
    apk cache purge
RUN apk add curl &&\
    apk cache purge

FROM base AS release
USER user
ENV USER user
ENV HOME /home/user
ENV XDG_RUNTIME_DIR=/run/user/1000
